<?php
include('../../includes/db.php');
include('../../includes/functions.php');
check_login();
check_user();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = $_POST['id'];

    // Ensure the CDN belongs to the logged-in user
    $stmt = $conn->prepare("SELECT * FROM cdn_websites WHERE id = ? AND user_id = ?");
    $stmt->execute([$id, $_SESSION['user_id']]);
    $cdn = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($cdn) {
        // Delete the CDN entry
        $stmt = $conn->prepare("DELETE FROM cdn_websites WHERE id = ?");
        $stmt->execute([$id]);

        header("Location: cdn.php?success=delete");
        exit();
    } else {
        header("Location: cdn.php?error=1");
        exit();
    }
} else {
    header("Location: cdn.php");
    exit();
}
?>
